This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 985566 - PATCH: actually write selected timezone and ntp info to disk
PATCH: actually write selected timezone and ntp info to disk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-07-17 14:56 EDT by Hans de Goede
Modified: 2013-12-13 21:56 EST (History)
1 user (show)

See Also:
Fixed In Version: initial-setup-0.3.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:56:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
initial_setup timezone spoke patch (715 bytes, patch)
2013-07-17 14:56 EDT, Hans de Goede
no flags Details | Diff
anaconda ntp patch (806 bytes, patch)
2013-07-17 15:03 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Hans de Goede 2013-07-17 14:56:42 EDT
Created attachment 774929 [details]
initial_setup timezone spoke patch

When run from the Fedora arm images initial-setup will show a timezone spoke as no timezone has been selected yet. But currently it does not matter if the uses goes into the spoke and actually makes changes there as the settings are never written to the system.

I've 2 patch fixing this (note these apply on top of the patches from bug 972362):

initial_setup-timezone.patch:
Actually call the execute method of the timezone kickstart object

anaconda-ntp.patch:
anaconda was using a write to a /tmp/foo file, then mv file to /etc/chrony,conf, but this results in a /tmp file selinux context, and then chronyd fails to start as it cannot read files with such an selinux context, this patch fixes this in a simple matter by copying the file from /tmp/foo to /etc/chrony,conf, which keeps the existing
/etc/chrony,conf's selinux context (or will use the proper default context for the new file if the file does not yet exist).
Comment 1 Hans de Goede 2013-07-17 15:03:22 EDT
Created attachment 774932 [details]
anaconda ntp patch
Comment 2 Vratislav Podzimek 2013-09-05 06:08:58 EDT
Thanks. I'll forward those patches to anaconda-patches.
Comment 3 Hans de Goede 2013-09-05 10:45:05 EDT
Thanks, can you also take a look at bug 972362 and 985572 please ?
Comment 4 Vratislav Podzimek 2013-09-06 04:21:12 EDT
(In reply to Hans de Goede from comment #3)
> Thanks, can you also take a look at bug 972362 and 985572 please ?
Absolutely, going through them one after another.
Comment 5 Fedora Update System 2013-09-06 18:43:12 EDT
anaconda-20.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.12-1.fc20
Comment 6 Fedora Update System 2013-09-07 13:03:48 EDT
Package anaconda-20.12-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.12-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16040/anaconda-20.12-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-09-09 20:11:54 EDT
anaconda-20.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.13-1.fc20
Comment 8 Fedora Update System 2013-09-10 12:13:19 EDT
initial-setup-0.3.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/initial-setup-0.3.8-1.fc20
Comment 9 Fedora Update System 2013-09-10 15:49:11 EDT
anaconda-20.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.14-1.fc20
Comment 10 Fedora Update System 2013-09-11 21:04:11 EDT
anaconda-20.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.15-1.fc20
Comment 11 Fedora Update System 2013-09-13 21:05:58 EDT
anaconda-20.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.16-1.fc20
Comment 12 Fedora Update System 2013-09-16 13:49:02 EDT
anaconda-20.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.17-1.fc20
Comment 13 Fedora Update System 2013-09-18 22:41:53 EDT
anaconda-20.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-02 07:52:29 EDT
initial-setup-0.3.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/initial-setup-0.3.9-1.fc20
Comment 15 Fedora Update System 2013-11-05 08:20:17 EST
initial-setup-0.3.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/initial-setup-0.3.10-1.fc20
Comment 16 Fedora Update System 2013-11-05 15:01:50 EST
Package initial-setup-0.3.10-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initial-setup-0.3.10-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20701/initial-setup-0.3.10-1.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2013-12-13 21:56:33 EST
initial-setup-0.3.10-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.